Loading...
Searching...
No Matches
Gudhi::contraction::Contraction_visitor_remove_popable< Profile > Class Template Reference

Visitor to remove popable blockers after an edge contraction. More...

`#include <include/gudhi/Skeleton_blocker_contractor.h>`

## Additional Inherited Members

Public Member Functions inherited from Gudhi::contraction::Contraction_visitor< Profile >
virtual void | on_started (ComplexType &complex)
| Called before the edge contraction process starts.
virtual void | on_stop_condition_reached ()
| Called when the algorithm stops.
virtual void | on_collected (const Profile &profile, boost::optional< FT > cost)
| Called during the collecting phase (when a cost is assigned to the edges), for each edge collected.
virtual void | on_selected (const Profile &profile, boost::optional< FT > cost, int initial_count, int current_count)
| Called during the processing phase (when edges are contracted), for each edge that is selected.
virtual void | on_contracting (const Profile &profile, boost::optional< Point > placement)
| Called when an edge is about to be contracted and replaced by a vertex whose position is *placement.
virtual void | on_contracted (const Profile &profile, boost::optional< Point > placement)
| Called when after an edge has been contracted onto a new point placement. A possibility would to remove popable blockers at this point for instance.
virtual void | on_non_valid (const Profile &profile)
| Called for each selected edge which cannot be contracted because the ValidContractionPredicate is false.

## Detailed Description

template<class Profile>
class Gudhi::contraction::Contraction_visitor_remove_popable< Profile >

Visitor to remove popable blockers after an edge contraction.

The documentation for this class was generated from the following file:

- include/gudhi/Skeleton_blocker_contractor.h